<!DOCTYPE html>
<html>

<head lang="es">
	<meta charset="utf-8">
	<title>Trabajo en grupo TG1</title>
	<link rel="stylesheet" href="style.css">
</head>

<body>
	<header>
		<h1>Desarrollo con Tecnologías Emergentes. Curso 2019-20<br>
			Trabajo TG1 del grupo T8<br>
			Título: TG1.Encontrar recursos sobre dos tecnologías emergentes</h1>
	</header>
	<nav>
		<ul>
			<li><a href="#1">1. Información general</a></li>
			<li><a href="#2">2. Descripción del tipo de tecnología</a></li>
			<li><a href="#3">3. Fuentes de información (documentos)</a></li>
			<li><a href="#4">4. Fuentes de información (cursos no gratuitos)</a></li>
			<li><a href="#5">5. Fuentes de información (cursos gratuitos)</a></li>
			<li><a href="#6">6. Ayudas económicas para estudiar las tecnologí­as</a></li>
			<li><a href="#7">7. Recursos para implementar las tecnologí­as</a></li>
			<li><a href="#8">8. Conclusiones</a></li>
		</ul>
	</nav>

	<main>
		<section id=1">
			<h2>1. Información general</h2>
			<h3>1.1 Autores</h3>
			<p>GRUPO T8
				<p>Daniel Martinez Algar</p>
				<p>Marina Muñoz Latienda</p>
				<p>César Ortega Nieto</p>
				<p>Sandra López Méndez</p>
				<p>Vicente García González</p>
			</p>
			<h3>1.2 Proyecto Scrum y repositorio en GitLab</h3>
			<p>https://gitlab.com/dte2020/t8/tg1/.</p>
			<h3>1.3 Burndown chart</h3>
			<img src="burndownTG1.jpg">
			<h3>1.4 Presentación del trabajo</h3>
			<a href="tg1.pptx">Presentación con diapositivas del trabajo TG1</a></p>
		</section>
		<section id="2">
			<h2>2. Descripción del tipo de tecnología</h2>
			<p>	En este trabajo se va a hablar sobre las tecnologías de 'App Security Testing Tools', más en concreto de 
				las dos siguientes tecnologías. Zed Attack Proxy (Zap Proxy) o también conocida como OWASP ZAP, y 
				MobSf (Mobile Security Framework).
			</p>
			<p>
				En primer lugar vamos a introducir la tecnología. Esta tecnología se basa en poder comprobar si realmente 
				nuestros dispositivos móviles están protegidos contra los diferentes ataques de seguridad que existen, para 
				ello podemos utilizar diferentes diferentes softwares que nos servirán para conseguir una mayor protección 
				contra los diferentes fallos de seguridad que puedan ocasionarse, y también para comprobar si las aplicaciones
				que nosotros desarrollemos son seguras. 
				Para explicar más en detalle como funciona esta tecnología lo vamos a hacer mediante la explicación de las dos 
				tecnologías concretas que hemos mencionado antes.
			</p>
			<p>
				Zap Proxy:
				Se trata de un software que busca los riesgos y las vulnerabilidades del sistema y sus datos, en el que es 
				instalado. El funcionamiento que tiene este software es el siguiente, primero escanea y analiza 
				el sistema en busca de fallos de seguridad; a continuación produce un ataque como si fuera en grupo;
				luego realiza otro ataque pero más enfocado al usuario final; y finalmente muestra una descripción de los
				resultados de las pruebas de seguridad.
				Zap proxy también posee un proceso de pentesting que lo que hace es realizar un examen a todo, desde los 
				servidores, las redes, hasta los dipositivos. Para ello sigue tres pasos, el primero es explorar para obtener
				toda la información que pueda extraer del sitio a 'atacar'. Luego una vez que cree que ha encontrado los puntos
				débiles realiza un ataque a las vulnerabilidades, y por último devuelve un informe de todas las operaciones
				que ha realizado. La principal diferencia en este test es que analiza los puntos débiles a través de la información
				que el propio software es capaz de recopilar.
				La finalidad de este software es poder enumerar y recopilar todas las vulnerabilidades que encuentre, para
				que así la persona dueña del servidor, o del dipositivo ponga solución a estas vulnerabilidades.
			</p>
			<p>
				MobSF:
				Es un software que nos permite probar la seguridad de las aplicaciones tanto de iOS como de Android, ya sea
				con pruebas estáticas, o dinámicas. Esta herramienta software funciona de la siguiente manera, si realizamos
				una prueba estática nosotros ponemos el fichero de nuestra aplicación en el software, y este automáticamente 
				nos proporcionará los datos de la prueba de seguridad, como pueden ser los permisos que son necesarios y los 
				que no y las vulnerabilidades. Y por otro lado están las pruebas dinámicas, en las cuales el usuario interactua 
				directamente con la aplicación y el software le va mostrando a la vez las vulnerabilidades que va encontrando.
			</p>
			<p>
				Para explicar más en detalle las operaciones que puede realizar este software, vamos a hablar de sus pruebas a
				aplicaciones APK de Android. Primero en el software debemos de iniciar una máquina virtual en la que haremos
				todas las pruebas. De las pruebas que realicemos normalmente sacaremos los siguientes datos:
				- Archivos accedidos: Aparecen los archivos a los que pudo acceder la aplicación.
				- Información del dispositivo: Aparecen los datos propios del dipositivo al que ha podido acceder el software,
				como puede ser el IMEI, o el número de teléfono.
				- Base 64: El software recopila todas las cadenas de texto que sean decodificadas en base 64.
				- Reflexión: Con esto observamos las veces que ha sido llamda la función 'invoke' con sus respectivos argumentos.
				- Activity tester: Se muestran las capturas de pantallas obtenidas al iniciar automáticamente las actividades
				declaradas en el manifiesto de la aplicación.
				- Paquetes HTTP(S): Se muestran todos los paquetes capturados mientras se ejecutaba la aplicación, así como las 
				conexiones protegidas por SSL.
				- Direcciones URL: El software muestra las URL que hayan sido procesadas por la API de Android.
				- Malware check: De las URL registradas se definirá lo benignas que son las URL.
				

			</p>

			<p>Más adelante en los proximos puntos también hablaremos de las diferentes ayudas que tienen, o no estas dos tecnologías 
				y de las fuentes de información de las que hemos obtenido todo.

			</p>
		</section>
		<section id="3">
			<h2>3. Fuentes de información (documentos)</h2>
			<h3>3.1 Fuentes de información sobre el tipo de tecnología en general </h3>
			<h4>3.1.1 Fuente de información 1 sobre el tipo de tecnología en general</h4>
			<p>En esta página podremos descargar el documento que trata sobre la aplicabilidad de las pruebas combinatorias para las pruebas de seguridad de
			 aplicaciones web, el documento nos muestra un estudio sobre diferentes herramientas de seguridad web en el cual determina qué tecnologías son mejores o 
			 peores mediante la comparación de estas. Esto ayuda a las organizaciones a determinar qué tipo de tecnología les beneficia tener, también hace una pequeña
			 introducción hablando de la importancia de esta tecnología en la industria y en la sociedad ya que cada vez se exige más conectividad en servicios y 
			 sistemas vía internet. No se centra en solo una tecnología, sino que estudia varias tecnologías del campo de las herramientas de seguridad.</p>
			<a href="https://dl.acm.org/doi/abs/10.1145/2631890.2631894">Enlace a la fuente</a>
			<h4>3.1.2 Fuente de información 2 sobre el tipo de tecnologí­a en general</h4>
			<p>Este documento habla sobre la investigación sobre las pruebas de seguridad de software y se centra en discutir la definición y clasificación de 
			 las diferentes pruebas de seguridad software como las pruebas de seguridad de inyección de fallos, pruebas difusas, pruebas de escaneo de vulnerabilidad, 
			 pruebas basadas en propiedades, pruebas basadas en la caja blanca y muchas más. Además, investiga las herramientas y métodos que se utilizan en estas pruebas, 
			 haciendo una taxonomía de cada una de las herramientas para las pruebas de seguridad.</p>
			<a href="https://pdfs.semanticscholar.org/2bed/7d09e96ea67f5594b9cf972fba6992e68a56.pdf">Enlace a la fuente</a>
			<h4>3.1.3 Fuente de información 3 sobre el tipo de tecnologí­a en general</h4>
			<p>Es esta página podemos encontrar las 10 mejores herramientas de prueba de seguridad de aplicaciones móviles entre ellas encontramos proxy y MobSF que son las 
			 dos herramientas que hemos elegido como específicas, también nos encontramos otras como Drozer, Micro Focus, puente de depuración de Android, seguridad codificada, 
			 whiteHat security, Kiuwan, Veracode y kit de revisión rápida de Android. Las aplicaciones móviles tienen vulnerabilidades de alto riesgo y tras el aumento del 
			 uso del teléfono móvil es vital la seguridad en estas aplicaciones, estas diez herramientas que nos muestran ayudan a realizar las pruebas necesarias para 
			 garantizar la seguridad. Finalmente nos muestra las características principales de cada una de las herramientas.</p>
			<a href="https://dzone.com/articles/10-best-mobile-app-security-testing-tools-in-2019">Enlace a la fuente</a>

			<h3>3.2 Fuentes sobre la tecnología ZAP </h3>
				<h4>3.2.1 Fuente de información 1 sobre la tecnología ZAP</h4>
				<p>Es la página oficial de zaproxy y en esta página nos muestra una guía básica de introducción para usar ZAP, además de incluir algunos conceptos y 
				 terminologías sobre pruebas de seguridad. Comienza contándonos cómo se desglosan las pruebas de seguridad, el proceso de las pruebas de penetración y su 
				 principal meta que es buscar vulnerabilidades para abordarlas. También podemos encontrar información de como instalar ZAP, nos explica la interfaz de usuario 
				 de ZAP, como ejecutar un escaneo automatizado, interpretar los resultados, ver alertas explorar una aplicación manualmente, la pantalla de Heads Up y funciones 
				 avanzadas de ZAP como funciones de escritorio avanzadas, automatización y muchas más. Esta página nos ayuda sobre todo a conocer los conceptos básicos para 
				 comenzar a usar ZAP.</p>
				<a href="https://www.zaproxy.org/getting-started/">Enlace a la fuente</a>
				<h4>3.2.2 Fuente de información 2 sobre la tecnología ZAP</h4>
				<p>En esta guía podemos encontrar información sobre el proyecto de testeo de OWASP, las técnicas de testeo, la seguridad sobre los test, el marco de prueba de OWASP,
				 las pruebas de seguridad de aplicaciones web y sus objetivos, prueba de gestión de identidad, pruebas de autorización, prueba de manejo de errores, 
				 pruebas de criptografía débil, pruebas de lógica empresarial, prueba de validación de entradas y mucha información más, que esta verificada y puede ser muy 
				 útil para las empresas o personas que utilizan esta tecnología.</p>
				<a href="https://www.owasp.org/images/1/19/OTGv4.pdf">Enlace a la fuente</a>
				<h4>3.2.3 Fuente de información 3 sobre la tecnología específica ZAP</h4>
				<p>Esta página también es la oficial de Zaproxy pero en este apartado en concreto podemos encontrar información sobre el mercado de ZAP, es decir, el marketplace 
				 donde se encuentran complementos que ayudan a ampliar las funcionalidades de ZAP. También podemos encontrar muchas de estas funcionalidades con una pequeña 
				 descripción como pruebas de control de acceso, reglas del escáner activo, advanced SQLInjection Scanner, fuzzer, Ajax Spider y muchas otras que también las podremos 
				 descargar desde esta página.</p>
				<a href="https://www.zaproxy.org/addons/">Enlace a la fuente</a>
			<h3>3.3 Fuentes sobre la tecnologí¬a MobSF </h3>
            	<h4>3.3.1 Fuente de información 1 sobre la tecnologí-a MobSF</h4>
            	<p>MobSF realiza pruebas tanto dinámicas como estaticas además de poder utilizarla para analizar entornos tanto Android, ios, Windows Mobile y código 
            	 fuente empaquetado en ZIP. A parte de introducirnos en MobSF nos explica cómo realizar un análisis estático de un APK con la herramienta y explica los datos 
            	 importantes que nos ofrece del análisis como la información del archivo, información de la aplicación, posibles elementos vulnerables, naturaleza del código, 
				información del certificado y muchas más.</p>
				<a href="https://www.welivesecurity.com/la-es/2016/12/19/analizar-apk-con-mobsf/">Enlace a la fuente</a>
				<h4>3.3.2 Fuente de información 2 sobre la tecnologí-a MobSF</h4>
				<p>Esta fuente nos muestra que ocurre cuando ejecutamos una aplicación maliciosa con el framework de análisis móvil. En este caso se explica el análisis dinámico de 
				APK incluyendo una máquina virtual, donde vemos que se trata de un sistema rooteeado que posee Xposed con módulos instalados que burlan las técnicas de antiemulación,
				oculta que el sistema esta rooteado, espía conexiones SSL aunque tengan certificate pinning o registrar el funcionamiento de la aplicación a través de Droidmon. 
				También nos muestra como realizar por pasos el análisis dinámico y nos explica la información que obtenemos de MobSF como los archivos cedidos, información del 
				dispositivo, los paquetes HTTP que fueron capturados durante la ejecución, direcciones URL que hayan sido procesadas por la API Android y mucha información más que 
				deberemos saber si hacemos un análisis dinámico con MobSF.</p>
				<a href="https://noticiasseguridad.com/seguridad-informatica/como-analizar-archivos-apk-con-mobsf-parte-2/">Enlace a la fuente</a>
				<h4>3.3.3 Fuente de información 3 sobre la tecnologí-a especí¬fica MobSF </h4>
				<p>En esta fuente de información podemos encontrar las características de la tecnología, los requisitos que necesitamos para realizar un análisis estático como 
				Python 3.6+ y Oracle JDK 1.7 o superior, también los requisitos para un análisis dinámico como MobSF x86 Android VM que requiere Oracle VirtualBox y requisitos 
				hardware entre otros. Además, nos explica como instalar en el pc la imagen Docker MobSF, la configuración para un análisis estático y uno dinámico, cómo 
				actualizarlo y “runearlo”. </p>
				<a href="https://www.cyberpunk.rs/mobile-security-framework-mobsf">Enlace a la fuente</a>
			</section>
	
		</section>

		<section id="4">
			<h2>4. Fuentes de información (cursos no gratuitos)</h2>
			
			<h3>4.1 Cursos no gratuitos sobre el tipo de tecnologí­a en general </h3>
			<h4>4.1.1 Curso no gratuito 1 sobre el tipo de tecnologí­a en general</h4>
			<p>En este curso podremos aprender como funcionan las aplicaciones web, también podremos interceptar peticiones 
				HTTP usando un proxy personal, o podremos aprender sobre diferentes aplicaciones para el hackeo web. 
				Se aprenderá sobre el top 10 de aplicaciones web para detectar vulnerabilidades. Se tratarán vulnerabilidades 
				como la de inyección SQL entre otras. Este curso incluye toda la información necesaria para empezar nuestra 
				carrera en el campo de ciberseguridad.</p>
			<p>• Nombre: Website Hacking & Penetration Testing (Real World Hacking!)
			   • Precio: 11,99€ </p>
			<a href="https://www.udemy.com/course/web-applications-hacking-penetration-testing/">Enlace al curso</a>
			<h4>4.1.2 Curso no gratuito 2 sobre el tipo de tecnologí­a en general</h4>
			<p>Con este curso tendremos un mejor entendimiento del testeo de seguridad de software gracias a la introducción 
				de los conceptos centrales que hay detrás de las pruebas de seguridad de aplicaciones. Podremos conocer también 
				las diferentes librerías reusables de tests a nuestra disposición. Por último, se tratarán varias herramientas 
				open source de testeo de seguridad de aplicaciones. </p>
			<p>• Nombre: Application security attack tools
			   • Precio: 19,99€ </p>
			<a href="https://pa.linkedin.com/learning/devsecops-automated-security-testing/application-security-attack-tools?autoplay=true&trk=course_tocItem">Enlace al curso</a>
			<h4>4.1.3 Curso no gratuito 3 sobre el tipo de tecnologí­a en general</h4>
			<p>En este curso se tratarán desde los aspectos básicos hasta avanzadas actividades exploit. Se hablará de ataques 
				de html5, de inyección SQL, o ataques XSS (tipo de vulnerabilidad en el que una tercera persona inyecta código 
				javascript en páginas web visitadas por el usuario). También se tendrá acceso a diferentes foros dedicados. 
				Cuando acabemos el curso se nos otorgará una certificación en pruebas de penetración de aplicaciones web. </p>
			<p>• Nombre: Web Application Penetration Testing
			   • Precio: 999$</p>
			<a href="https://www.elearnsecurity.com/course/web_application_penetration_testing/?ref=hackr.io">Enlace al curso</a>
			<h4>4.1.4 Curso no gratuito 4 sobre el tipo de tecnologí­a en general</h4>
			<p>En este curso se cubren las herramientas más usadas en la evaluación de seguridad de Android. Este curso contiene 
				30 videos en el que se tratan 12 herramientas diferentes como apktool, drozer, o frida entre otras. El curso esta 
				enfocado a aquellas personas que quieran ser ingenieros de seguridad, desarrolladores Android, o consultores de seguridad</p>
				<p>• Nombre: Android Security Tools Expert – ATX
				   • Precio: 49$</p>
			<a href="https://opsecx.com/index.php/product/android-security-tools-expert-atx/">Enlace al curso</a>
			<h4>4.1.5 Curso no gratuito 5 sobre el tipo de tecnologí­a en general</h4>
			<p>Este curso está orientado a aquellas personas que son profesionales en el sector, o aquellas que quieren auditar servidores web y necesiten técnicas nuevas o perfeccionar la forma en la que trabajan. El curso expone casos reales donde se explotan vulnerabilidades web. Otro aspecto positivo es que tenemos instructores on-line a nuestra disposición para resolver dudas. </p>
			<p>• Nombre: Professional Web Application Penetration Tester
			   • Precio: 599€</p>
			<a href="https://cursos.ihacklabs.com/es/catalogo-de-cursos/professional-web-application-penetration-tester/">Enlace al curso</a>
			

			<h3>4.2 Cursos no gratuitos sobre la tecnologí­a especí­fica OWASP ZAP </h3>
			<h4>4.2.1 Curso no gratuito 1 sobre la tecnologí­a especí­fica OWASP ZAP</h4>
			<p>Este curso nos muestra las funciones básicas de ZAP, dando así diferentes maneras para aprovechar las vulnerabilidades 
				de aplicaciones. Es un curso para aquellos que quieran adentrarse en el mundo de la seguridad de aplicaciones web. 
				Con él, podremos aprender a pasar nuestra aplicación por diversos test. Primero se empezará por aprender la interfaz 
				y entendiendo como funciona ZAP con el buscador. A continuación, aprenderemos a preparar el entorno para el 
				ataque, de forma que podremos evaluar las diferentes vulnerabilidades de nuestro software. </p>
			<p>• Nombre: Getting Started with OWASP Zed Attack Proxy (ZAP) for Web Application Penetration Testing
			   • Precio: 26$ al mes. 275$ al año
				</p>
			<a href="https://es.classpert.com/pluralsight/courses/getting-started-with-owasp-zed-attack-proxy-zap-for-web-application-penetration-testing-4gHE3g">Enlace al curso</a>
			<h4>4.2.2 Curso no gratuito 2 sobre la tecnologí­a especí­fica OWASP ZAP</h4>
			<p>En este curso podremos encontrar muchos de los aspectos básicos y avanzados de ZAP. Aprenderemos desde la 
				instalación de esa herramienta, hasta hacer escaneos activos, pasivos, gestionar alertas y usuarios, configurar 
				el proxy, o pruebas de penetración entre otros muchos consejos.</p>
			<p>• Nombre: Curso Zed Attack Proxy
			   • Precio: 60$
				</p>
			<a href="http://www.mile-sec.com/zed_attack_proxy">Enlace al curso</a>
			<h4>4.2.3 Curso no gratuito 3 sobre la tecnologí­a especí­fica OWASP ZAP</h4>
			<p>Este es un curso orientado a recién licenciados en ingeniería informática aquellos que quieran dedicarse al 
				hacking ético y pentesting, o aquellos que estén trabajando y quieran un nivel de especialización mayor. 
				Se adquirirán conocimientos y habilidades para realizar pruebas de penetración y auditorias de seguridad, introduciendo 
				así desde conceptos básicos de hacking hasta la creación de exploits, pasando por técnicas de ataque y las herramientas 
				más avanzadas y efectivas. No es un curso solo orientado a ZAP, pero en el contenido de este curso, en el 
				modelo 2, podremos encontrar esta herramienta</p>
			<p>• Nombre: CSIO – Curso de Seguridad Informática Ofensiva 
			   • Precio: 345€
				</p>
			<a href="https://www.hackbysecurity.com/formacion/CSIO-Curso-de-Seguridad-Inform%C3%A1tica-Ofensiva">Enlace al curso</a>
			<h4>4.2.4 Curso no gratuito 4 sobre la tecnologí­a especí­fica OWASP ZAP</h4>
			<p>En este curso se aprenderán las técnicas más usadas por los hackers para vulnerar aplicaciones web y saber como 
				usarlas para analizar la seguridad de aplicaciones empresariales, ejecutando ataques como SQL injection y XSS. 
				Podremos aprender a detectar vulnerabilidades con herramientas como Zed Attack Proxy (ZAP) y vega, junto a muchos 
				conceptos más de seguridad, por lo que este curso no está enfocado de forma única a ZAP.</p>
			<p>• Nombre: Curso de Seguridad Web: SQL Injection & XSS
			   • Precio: 180€
				</p>
			<a href="https://www.educacionit.com/curso-de-seguridad-web">Enlace al curso</a>

			<h3>4.3 Cursos no gratuitos sobre la tecnologí­a especí­fica MobSF </h3>
			<h4>4.3.1 Curso no gratuito 1 sobre la tecnologí­a especí­fica MobSF</h4>
			<p>En este curso podremos aprender sobre la evaluación de seguridad automatizada de aplicaciones móviles, como 
				configurar y ejecutar la herramienta MobSF, o como realizar análisis estáticos y dinámicos de aplicaciones 
				móviles (tanto iOS como android) con la herramienta MobSF. Se discutirán varios casos reales como malware Android. </p>
			<p>• Nombre: Automated Mobile Application Security Assessment with MobSF
			   • Precio: 18,99€
				</p>
			<a href="https://www.udemy.com/course/automated-mobile-application-security-assessment-with-mobsf/">Enlace al curso</a>
			<h4>4.3.2 Curso no gratuito 2 sobre la tecnologí­a especí­fica MobSF</h4>
			<p>Se podrá aprender gracias a este curso una introducción de la herramienta mobile security framework, la cual se usa 
				para pruebas de seguridad de aplicaciones estáticas. En este curso se enfocará en hacer análisis de código 
				estático, es decir pruebas de caja blanca. También nos centraremos en aplicaciones Android, aunque esta herramienta 
				soporta también aplicaciones iOS y de Windows.</p>
			<p>• Nombre: Automated Mobile Application Security Assessment with MobSF
			   • Precio: 29,98€ al mes.  219,19€ un año
				</p>
			<a href="https://www.lynda.com/Android-tutorials/Introduction-MobSF/2806966/2246973-4.html">Enlace al curso</a>
			<h4>4.3.3 Curso no gratuito 3 sobre la tecnologí­a especí­fica MobSF</h4>
			<p>El mercado de aplicaciones móviles está creciendo cada vez más, y por ello la industria de la seguridad móvil. 
				Por esta razón se mantienen entornos de testeo de seguridad de aplicaciones que causan grandes costes. Este curso 
				nos introducirá en la herramienta mobSF, con la cual podremos hacer análisis de malware, y una evaluación de 
				seguridad gracias a los análisis estáticos y dinámicos que haremos a las aplicaciones.</p>
			<p>• Nombre: Automated Mobile Application Security Assessment with MobSF – MAS 
			   • Precio: 29$
				</p>
			<a href="https://opsecx.com/index.php/product/automated-mobile-application-security-assessment-with-mobsf/">Enlace al curso</a>
		</section>

		<section id="5">
            <h2>5.1 Fuentes de información (cursos gratuitos)</h2>
            <h4>5.1.1 Curso gratuito 1 sobre el tipo de tecnología en general (inglés)</h4>
            <p>En el Curso de seguridad de sistemas y aplicaciones, obtendrá una comprensión del código de computadora que puede describirse como dañino o malicioso. 
			   Se discutirán tanto los ataques técnicos como los no técnicos. Aprenderá cómo una organización puede protegerse de estos ataques.</p>
            <a href="https://www.coursera.org/learn/systems-application-security-sscp">Enlace al curso</a>
            <h4>5.1.2 Curso gratuito 2 sobre el tipo de tecnología en general (español)</h4>
            <p>El objetivo del presente curso es proporcionar una descripción de los aspectos relacionados con la “Seguridad del Software”, incluyendo la implantación 
			   de los diferentes tipos de buenas prácticas de seguridad en los ciclos de vida de desarrollo del software (SDLC) de una organización para obtener software 
			   confiable y los fundamentos y conocimientos de base para realizar análisis estático y dinámico del código fuente de las aplicaciones, desde el punto de vista 
			   de los errores de seguridad que se comenten a la hora de realizar su diseño y desarrollo.</p>
			<a href="https://www.coit.es/servicios/formacion/eventos/curso-line-de-seguridad-del-software">Enlace al curso</a>
			<h4>5.1.3 Curso gratuito 3 sobre el tipo de tecnología en general (inglés)</h4>
			<p>En la actualidad, los ataques informáticos y las violaciones de datos son inevitables. Parece que todos los días se produce una violación de datos y las víctimas de la
			   violación de datos sufren. Su información es robada o publicada en línea. La realidad es que se puede ayudar a prevenir la violación de datos, este curso analiza 
			   la detección y mitigación de amenazas y vectores de ataque y discute cómo usar herramientas y principios para proteger la información que contienen las aplicaciones</p>
			<a href="https://es.coursera.org/learn/detecting-cyber-attacks">Enlace al curso</a>
			<h4>5.1.4 Curso gratuito 3 sobre el tipo de tecnología en general (español)</h4>
            <p>El objetivo principal del curso es explicar el funcionamiento de diversas amenazas informáticas a las cuales puede verse enfrentado un usuario de tecnología móvil. 
			   Posteriormente se expondrán las distintas medidas que se pueden adoptar para mitigar el impacto de dichas amenazas. También se busca comprender los distintos tipos 
			   de amenazas informáticas capaces de afectar a usuarios y dispositivos móviles como códigos maliciosos, phishing, fraudes electrónicos, robo o extravío del equipo, 
			   conexiones inalámbricas inseguras, entre otros. Por último también se busca Aprender y saber adaptar las medidas necesarias para proteger un sistema operativo para 
			   móviles de diversas amenazas informáticas.</p>
            <a href="https://www.academiaeset.com/default/learn/myevents/191090">Enlace al curso</a>

			<h3>5.2 Cursos gratuitos sobre la tecnología específica OWASP ZAP </h3>
            <h4>5.2.1 Curso gratuito 1 sobre la tecnología específica A (español)</h4>
            <p>Durante este curso vamos a ver cómo podemos asegurar y detectar diferentes tipos de vulnerabilidades y cómo ejecutarlo de forma profesional.
                Se trabaja con dos aplicaciones, una es con la que se ve cada una de las vulnerabilidades, y la otra es para que los participantes del curso hagan las pruebas.</p>
            <a href="https://platzi.com/clases/seguridad/">Enlace al curso</a>
            <h4>5.2.2 Curso gratuito 2 sobre la tecnología específica OWASP ZAP (inglés)</h4>
            <p>Este curso brinda los antecedentes necesarios para comprender la Ciberseguridad básica en torno a las personas. Está destinado a cualquier persona que quiera obtener
			   una comprensión básica de la Ciberseguridad o como el segundo curso de una serie de cursos para adquirir las habilidades para trabajar en el campo de la Ciberseguridad 
			   como Analista de Ciberseguridad de Jr.</p>
            <a href="https://es.coursera.org/lecture/cybersecurity-roles-processes-operating-system-security/open-web-application-security-project-owasp-2jJnr">Enlace al curso</a>
			<h4>5.2.3 Curso gratuito 3 sobre la tecnología específica OWASP ZAP (español)</h4>
            <p>En este curso se da una introducción a la herramienta Proxy y escáner ZAP de OWASP. Tambien se enseña a configurar ZAP con el navegador e instalar certificado de confianza.
			   El curso está destinado a desarroladores, principiantes de ciberseguridad, así como otros estudiantes de ciencias de la computación. El curso también enseña herramientas 
			   de fuerza bruta y una demo para comenzar con ZAP.</p>
            <a href="https://www.udemy.com/course/owasp-zap-from-scratch/">Enlace al curso</a>
			<h4>5.2.4 Curso gratuito 4 sobre la tecnología específica OWASP ZAP (español)</h4>
			<p>En este curso, se repasan algunos principios simples que se utilizan para mantener la seguridad de los datos. Aprenderá las regulaciones que las empresas adaptan para 
			   construir una buena reputación y ganar la confianza de los clientes, además de ayudarlos contra los ataques. También aprenderá sobre los diez principales ataques de 
			   aplicaciones definidos por OWASP, y cómo utilizar técnicas de seguridad en su desarrollo para asegurarse de que su aplicación web esté protegida.</p>
			<a href="https://openclassrooms.com/en/courses/5162996-secure-your-web-application-with-owasp">Enlace al curso</a>
			<h3>5.3 Cursos gratuitos sobre la tecnología específica MobSF </h3>
            <h4>5.3.1 Curso gratuito 1 sobre la tecnología específica MobSF</h4>
            <p>El curso revisa los procedimientos paso a paso para implementar una herramienta Pen Testing llamada "MobSF", que se utiliza principalmente en el sistema operativo Android.
                MobSF es una herramienta inteligente y de código abierto que se puede utilizar para realizar análisis estáticos y dinámicos en plataformas Android e iOS. </p>
            <a href="https://resources.infosecinstitute.com/android-penetration-tools-walkthrough-series-mobsf">Enlace al curso</a>
            <h4>5.3.2 Curso gratuito 2 sobre la tecnología específica MobSF (inglés)</h4>
            <p>Con este curso se aprende a realizar una evaluación de seguridad automatizada de aplicaciones móviles. Tambien se aprende a configurar y ejecutar Mobile Security Framework (MobSF). Además podremos realizar un análisis estático y dinámico automatizado de las aplicaciones moviles con MobSF</p>
            <a href="https://www.onlinefreecourse.net/automated-mobile-application-security-assessment-with-mobsf-udemy-free-download/">Enlace al curso</a> 
            <h4>5.3.3 Curso gratuito 3 sobre la tecnología específica MobSF</h4>
            <p>De MobSF apenas hay cursos, pro ello he escogido esta especie de cursillo/articulo, pues no hay más cursos gratis. En él se enseña como analizar archivos APK con MobSF. MobSF es un entorno completo de análisis que permite hacer pruebas estáticas y dinámicas en ejecutables de Android (APK), iOS (IPA) y Windows Mobile (APPX). MobSF es un entorno completo de análisis que incluye funcionalidad para la realización de pruebas tanto estáticas como dinámicas. Esto precisamente se enseña en este cursillo. </p>
            <a href="https://www.welivesecurity.com/la-es/2016/12/19/analizar-apk-con-mobsf/">Enlace al curso</a>

		</section>

		<section id="6">
			<h2>6. Ayudas económicas para estudiar las tecnologí­as</h2>
				<p>Para las dos tecnologías que estamos desarrollando en este trabajo debemos de decir
					que al tratarse de dos programas software, no se encuentran ayudas económicas como
					tales en una de estas tecnologías. Pero hemos encontrado información relevante en
					cuanto a los aspectos económicos de las dos tecnologías.
				</p>

				<h3>6.1 Ayuda 1</h3>
				<p>Esta 'ayuda' es de la tecnología de MobSF. En el enlace encontramos la página de GitHub de
					MobFS. Si bajamos por la página encontraremos un apartado en el que se pueden hacer donaciones
					para ayudar al desarrollo y mantenimiento de la tecnología. Se puede donar de dos manera,
					mediante el uso de PayPal, o con Bitcoins.</p>
				<a href="https://github.com/MobSF/Mobile-Security-Framework-MobSF">Página en GitHub de MobSF</a>

				<h3>6.2 Ayuda 2</h3>
				<p>Para la tecnología de ZAP Proxy encontramos información acerca de que ha dado diferentes becas
					de investigación en las que ha otorgado más de $100,000 USD. Una de las becas de las que se habla
					es la Beca La Salle - OWASP al Talento en Ciberseguridad. No son becas de la tecnología en sí de
					ZAP Proxy, pero si son becas de la compañía que tratan sobre la misma tecnología.</p>
				<a href="https://www.owasp.org/images/2/21/Introduccion_a_la_OWASP.pdf">Enlace a la presentación en la 
					que se hace referencia al dinero de las becas</a>
				<p><a href="http://beslasalle.salleurl.edu/es/owasp-open-web-application-security-project">Enlace en el 
					que se habla de la Beca La Salle</a></p>
			
		</section>

		<section id="7">
			<h2>7. Recursos software o hardware para implementar las tecnologí­as</h2>
			<p>En los sub-apartados de este apartado se deben indicar recursos software (y en su caso también hardware)
				para implementar cada una de las tecnologí­as elegidas</p>
			<p>Sobre cada recurso se debe incluir una breve descripción y la URL para acceder a la información del
				recurso
			<h3>7.1 Recursos para implementar la tecnologí­a A</h3>
			<h4>7.1.1 Recursos gratuitos para implementar la tecnologí­a OWASP ZAP</h4>
			<p>•	ZAP: Una de las herramientas de implementación más potentes del programa OWASP es ZAP (Zed Attack Proxy), Se trata de una plataforma diseñada especialmente para monitorizar la seguridad de las aplicaciones web de las compañías, siendo una de las mayores aplicaciones del proyecto más activas en cuanto a auditorías de seguridad. A demás, es una herramienta utilizada para simular ataques web y encontrar vulnerabilidades que pueden ser utilizadas por atacantes externos, por lo tanto, es útil para hacer testing de seguridad en un sistema web. Se caracteriza por ser una herramienta totalmente gratuita y de código abierto, es una herramienta multiplataforma, compatible incluso con Raspberry Pi (Ordenador de placa reducida y única), es fácil de instalar dependiendo únicamente de Java 1.7 o superior, se le puede asignar un sistema de prioridades. Loa usuarios de esta herramienta de seguridad web pueden auditar diferentes aplicaciones web con una serie de funciones y análisis específicos. </p>
			<a href="https://www.redeszone.net/2015/04/25/seguridad-web-owasp-zap/">Enlace a cada recurso</a>
			<a href="https://www.owasp.org/images/a/aa/Est%C3%A1ndar_de_Verificaci%C3%B3n_de_Seguridad_en_Aplicaciones_3.0.1.pdf">Enlace a cada recurso</a>
			<p>•	Recursos utilizados para la implementación de OWASP sobre prototipos SOA:</p>
				La Arquitectura Orientada a Servicios (SOA) es un estilo de arquitectura TI se caracteriza por estar basado en el diseño de servicios que reflejan las actividades del negocio en el mundo real, estas actividades son parte de los procesos en el negocio. Para su diseño y codificación se utilizan ciertas especificaciones WS-Security, framework Metro, MVC como patrón arquitectónico, Facade y DAO como patrones de diseño. Este prototipo es validado a nivel de diseño, codificación y seguridad a través de las herramientas: Structural Analysis for Java, SonarQube y OWASP ZAP. En este apartado nos centramos en los recursos de implementación sobre prototipos SOA utilizando la herramienta OWASP ZAP. 
			<p>•	Recursos de implementación. - Se identifican dos metodologías que permitirán el aseguramiento del prototipo; dichas metodologías son autenticación (JAAS) y cifrado de datos de hipertexto (HTTPS). Para el tema de codificación y base de datos se implementarán recomendaciones dadas por OWASP con la finalidad de aplicar, por ejemplo, llamadas a procedimientos almacenados e implementación de consultas parametrizadas. Estas dos técnicas contribuyen potencialmente al blindaje de debilidades relacionadas con Inyección SQL. Las llamadas a procedimientos almacenados corresponden a la forma de extracción de datos de la base de datos; estos son pequeños programas con lógica propia que interactúan directamente con el motor de base de datos, mientras que las consultas parametrizadas contribuyen a la separación de la cadena de consulta SQL del parámetro de especificación. </p>
			<p>•	Para la construcción del prototipo se utilizan framework’s y Api’s que permiten una codificación segura. </p>
			<p>o	Metro, framework para la implementación de servicios web SOAP, posee una pila de tecnologías y proyectos como JAX-WS y WSIT que permiten la interoperabilidad y la implementación de WS seguros. </p>
			<p>o	JAX-WS (Java API for XML Web Services), API para la implementación de servicios web con el protocolo SOAP. JAX-WS facilita el desarrollo de WS ayudando a ocultar la complejidad de los mensajes SOAP. </p>
			<p>o	WSIT (Web Service Interoperability Technologies), es la encargada de la interoperabilidad, uno de los principios de SOA. La seguridad soportada por WSIT es una implementación de OASIS (Reference architecture foundation for Service Oriented Architecture) para el aseguramiento de los mensajes SOAP.</p>
			<p>o	Ws-Security, estándar para implementar seguridad a WS SOAP, provee un modelo unificado para utilizar mecanismos de seguridad que permita autenticación, confidencialidad e integridad de los datos de los servicios web. Entre las especificaciones definidas dentro de WSSecurity e implementadas en el prototipo constan: </p>
			<p>	SAML (Security Assertions Markup Language), especificación basada en XML para el intercambio de información mediante la autenticación, asegurando la integridad y confidencialidad de los datos a través de aserciones integradas del WS-Security Policy. </p>
			<p>	WS-Security Policy: Afirmaciones de políticas de seguridad basadas en el marco WS-Policy, donde se definen las políticas, limitaciones y requerimientos de seguridad en el documento WSDL del servicio web. Con el objetivo de identificar, validar y cuantificar los resultados de aplicación de recomendaciones OWASP sobre el prototipo, se utilizan herramientas y tecnologías que apoyan en esta actividad. </p>
			<p>•	Para validar la arquitectura del prototipo se utiliza: 
			<p>o	Structural Analysis for JAVA, para la validación arquitectónica de la solución se implementó algunas características de la herramienta seleccionada, la misma que realiza un escaneo profundo al archivo compilado (.jar) de la aplicación; adicionalmente, evalúa la arquitectura de software, codificación y su estabilidad. </p>
			<p>o	Sonargraph Architect, considerada herramienta de análisis estático que permite validar el modelo de arquitectura de software que puede ser verificada y ejecutada en modo autónomo o con plugins IDE de Eclipse o IntelliJ, aporta al usuario la capacidad de entender la estructura del sistema desarrollado, muestra la interacción que existe entre componentes, clases, y otros artefactos de programación que son parte del desarrollo de software. </p>
			<p>•	Para la validación del código fuente se utiliza: 
			<p>o	SonarQube, es una plataforma de código abierto usada por los equipos de desarrollo para controlar la calidad del código. Cubre siete ejes principales de calidad de software entre los que se encuentra la arquitectura y diseño de software; la validación de calidad se basa en un análisis donde se aplica el método SQALE. </p>
			<p>•	Para validar aspectos de seguridad implementados en el prototipo se utiliza: </p>
			<p>o	SoapUI, es una herramienta especializada en análisis de seguridad de servicios SOAP y REST; su funcionamiento involucra la explotación de distintas vulnerabilidades mediante la utilización de parámetros de entrada hacia los WS.</p>
			</p>
			<a href="https://www.researchgate.net/profile/Daniel_Guaman4/publication/318416819_Implementation_of_techniques_and_OWASP_security_recommendations_to_avoid_SQL_and_XSS_attacks_using_J2EE_and_WS-Security/links/5a9771f70f7e9ba42974d52f/Implementation-of-techniques-and-OWASP-security-recommendations-to-avoid-SQL-and-XSS-attacks-using-J2EE-and-WS-Security.pdf">Enlace a cada recurso</a>
			<h4>7.1.2 Recursos no gratuitos para implementar la tecnologí­a OWASP ZAP</h4>
			<p>Open Web Application Security Project (OWASP) es un proyecto abierto sin ánimo de lucro destinado a mejorar la seguridad de las diferentes aplicaciones y servicios web con el fin de conseguir un Internet más seguro. Todas las herramientas que implican su uso son gratuitas, existen algunas tecnologías gratuitas para las que existen herramientas no gratuitas que facilitan su uso. Al no ser este caso, no se puede completar este apartado.</p>
			<p>Breve descripción de cada recurso</p>
			<a href="http://enlace">Enlace a cada recurso</a>

			<h3>7.2 Recursos para implementar la tecnologí­a MobSF</h3>
			<h4>7.2.1 Recursos gratuitos para implementar la tecnologí­a MobSF</h4>
			<p>Mobile Security Framework (MobSF) es una herramienta automática de evaluación de seguridad de aplicaciones para dispositivos móviles. Esta herramienta es capaz de analizar aplicaciones para distintos sistemas operativos como Android, iOS y Windows. Debido a ello, esta herramienta es capaz de evaluar APKs de Android, IPAs, de IOS, APPXs de Windows y el propio código fuente de estas encapsulado en un archivo ZIP. Además, esta herramienta es capaz de llevar a cabo diferentes tipos de análisis como pueden ser estático, dinámico y de código malicioso. Las técnicas de implementación son: Debugging, Hooking. Se obtiene en el repositorio oficial de GitHub. Los recursos de implementación son:</p>
			<p>	•	Apktool: </p>
			<p>	Apktool es una herramienta utilizada para desempaquetar el APK completo y devolver la forma muy parecida que tenía previamente a ser empaquetada. Además, también permite el reempaquetado de la misma. Esto es muy útil de cara a aplicar técnicas de patching en la que se modifica el APK. </p>
			<p>	•	JADX: (Descompilador de Dex a Java)</p>
			<p>	Es una herramienta de código libre que se utiliza para extraer y descompilar el código contenido en el archivo “classes.dex” obteniendo así el código Java de nuevo. Se trata de una línea de comandos y herramientas GUI para producir código fuente Java a partir de archivos Android Dex y Apk.</p>
			<p>	•	Apksigner:</p>
			<p>	Apksigner es una herramienta muy útil para la firma y verificación de esta sobre archivos APK desarrollada por el equipo de Android para cubrir las necesidades de los esquemas propios de firma actuales y futuros. En el ámbito de una evaluación de seguridad Apksigner resulta útil cuando se ha realizado un patching a una aplicación, ya que en hacer cambios sobre esta su firma ya no es válida y se ha de generar otra nueva.</p>
			<p>	•	YARA:</p>
			<p>	YARA es una herramienta de código abierto para la identificación de malware la cual utiliza una gran variedad de técnicas. Su principal característica es su flexibilidad. Además, es de gran ayuda en situaciones de respuesta a incidentes, en las cuales tanto las herramientas como el tiempo suelen ser limitados. </p>
				</p>
			<a href="https://www.welivesecurity.com/la-es/2016/12/19/analizar-apk-con-mobsf/">Enlace a cada recurso</a>
			<a href="https://underc0de.org/foro/hacking/mobsf-(mobile-security-framework)/">Enlace a cada recurso</a>
			<a href="https://ddd.uab.cat/pub/tfg/2018/tfg_100245/InformeFinal_1390126.pdf">Enlace a cada recurso</a>
			<h4>7.2.2 Recursos no gratuitos para implementar la tecnologí­a MobSF</h4>
			<p>Mobile Security Framework (MobSF) es un marco de código abierto capaz de realizar pruebas de seguridad de extremo a extremo de aplicaciones móviles. Al ser una herramienta gratuita y de código abierto que es proporcionada y que se puede obtener en el repositorio oficial de Github sus herramientas también. Las versiones Premium de algunas de las herramientas mostradas anteriormente son también gratuitas como por ejemplo la versión premium de Apktool. </p>
			<a href="https://ibotpeaches.github.io/Apktool/">Enlace a cada recurso</a>
			<a href="https://tirateunping.wordpress.com/2016/12/07/herramientas-para-el-analisis-de-aplicaciones-maliciosas-en-android/">Enlace a cada recurso</a>
			<a href="https://www.securityartwork.es/2015/03/20/deteccion-de-codigo-malicioso-con-yara-i/">Enlace a cada recurso</a>
			<a href="https://developer.android.com/studio/command-line/apksigner?hl=es-419">Enlace a cada recurso</a>
		</section>

		<section id="8">
			<h2>8. Conclusiones</h2>
			<p>Las conclusiones que hemos sacado sobre este trabajo son varias. Una de ellas es que por ejemplo
				con respecto a las tecnologías que hemos buscado nos ha resultado difícil encontrar cursos 
				específicos gratis o de pago, y ayudas para estas dos tecnologías y que estuvieran en español, ya que al tratarse de dos servicios 
				software diferentes no aparecían muchas ayudas y cursos como tales. Por ejemplo en el caso de MobSF ha
				resultado más complicado de lo esperado el encontrar información relevante para el desarrollo de nuestro trabajo
				ya que la información era algo escasa a lo que queríamos, sobretodo en cuanto a los cursos gratuitos que pudiese haber. 
				Aún así hemos conseguido encontrar información importante para estas dos tecnologías.
			</p>
			<p>Por otro lado hemos encontrado alguna dificultad a la hora de la utilización de GitLab, ya que puede ser que
				ciertos ajustes hayan cambiado y hemos tenido que ver como solucionar ciertos aspectos que han podido cambiar
				con respecto a los apuntes que nosotros teníamos.
			</p>
		</section>

	</main>

</body>

</html>
